SoReversePerspectiveCamera(3)

NAME
SoReversePerspectiveCamera - The SoReversePerspectiveCamera class defines a camera node with reverse perspective rendering.

SYNOPSIS

#include <Inventor/nodes/SoReversePerspectiveCamera.h>

Inherits SoPerspectiveCamera.

  Public Member Functions
virtual SoType getTypeId (void) const
SoReversePerspectiveCamera (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoReversePerspectiveCamera ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoReversePerspectiveCamera class defines a camera node with reverse perspective rendering. For realistic looking 3D scene, the geometry should be rendered with perspective calculations. Use this camera type to accomplish this.

Reverse perspective rendering, a special case of perspective rendering, is where the projection rays do not converge in the eye of the observer, but instead at a point behind the scene. Thus objects farther away from the observer appear larger than closer objects. A reverse perspective projection is defined by

•   setting the perspective camera position to the projection point behind the scene

•   setting near / far distance to negative values

•   rotating the camera orientation by 180 degrees around the camera Z-axis to compensate the image flip induced by the negative near / far values.

The view volume of the default reverse perspective camera is defined as shown below.

FILE FORMAT/DEFAULTS:

ReversePerspectiveCamera {
    viewportMapping ADJUST_CAMERA
    position 0 0 -10
    orientation 0 0 1 3.14159
    nearDistance -10
    farDistance -1
    aspectRatio 1
    focalDistance -6
    heightAngle 0.78539819
}

Constructor & Destructor Documentation

  SoReversePerspectiveCamera::SoReversePerspectiveCamera (void)
Constructor.

  SoReversePerspectiveCamera::~SoReversePerspectiveCamera () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoReversePerspectiveCamera::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoReversePerspectiveCamera::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoPerspectiveCamera.

  const SoFieldData ** SoReversePerspectiveCamera::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoReversePerspectiveCamera::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoPerspectiveCamera.

Author

Generated automatically by Doxygen for Coin from the source code.